Unassign Layer Or Delete Directory
DELETE
/{organization}/projects/{projectId}/layer-directory/{nodeId}
const url = 'https://app.civillo.com/api/v1/example/projects/1/layer-directory/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://app.civillo.com/api/v1/example/projects/1/layer-directory/example \ --header 'Authorization: Bearer <token>'Delete a directory or layer assignment at the given node id. This will recursively delete all node children.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”organization
required
string
The organization nickname
projectId
required
integer
The project id
nodeId
required
string
The layer directory or layer assignment node id that you want to delete
Responses
Section titled “ Responses ”Successful response
Bad Request
Unauthorized
Forbidden